Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package typechecker
  Definition Classes
    nsc
-  trait StructuredTypeStrings extends DestructureTypes

  A more principled system for turning types into strings.

  A more principled system for turning types into strings.

  Definition Classes
    typechecker
- DestructureType
- Grouping
- LabelAndType
- MonoFunction
- NullaryFunction
- PolyFunction
- TypeAtom
- TypeEmpty
- TypeList
- TypeNode
- TypeProduct
- intoNodes

c

scala.tools.nsc.typechecker.StructuredTypeStrings

# MonoFunction 

###

#### class MonoFunction extends TypeProduct

Source
  TypeStrings.scala

Linear Supertypes
TypeProduct, Serializable, java.io.Serializable, Product, Equals, TypeNode, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MonoFunction
2. TypeProduct
3. Serializable
4. Serializable
5. Product
6. Equals
7. TypeNode
8. AnyRef
9. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new MonoFunction(in: TypeNode, out: TypeNode)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from MonoFunction to any2stringadd[MonoFunction] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (MonoFunction, B)
   Implicit
     This member is added by an implicit conversion from MonoFunction to ArrowAssoc[MonoFunction] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def emptyTypeName: String
   Definition Classes
     TypeProduct
9.  def ensuring(cond: (MonoFunction) ⇒ Boolean, msg: ⇒ Any): MonoFunction
   Implicit
     This member is added by an implicit conversion from MonoFunction to Ensuring[MonoFunction] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (MonoFunction) ⇒ Boolean): MonoFunction
    Implicit
      This member is added by an implicit conversion from MonoFunction to Ensuring[MonoFunction] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: ⇒ Any): MonoFunction
    Implicit
      This member is added by an implicit conversion from MonoFunction to Ensuring[MonoFunction] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): MonoFunction
    Implicit
      This member is added by an implicit conversion from MonoFunction to Ensuring[MonoFunction] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from MonoFunction to StringFormat[MonoFunction] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
17.  def grouping: Grouping
    Definition Classes
      TypeProduct → TypeNode
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  def label: String
    Definition Classes
      TypeNode
20.  def mkPrefix(showLabel: Boolean): String
    Attributes
      protected
    Definition Classes
      TypeNode
21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  val nodes: List[TypeNode]
    Definition Classes
      TypeProduct → TypeNode
23.  final def notify(): Unit
    Definition Classes
      AnyRef
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
25.  def show(): String
    Definition Classes
      TypeNode
26.  def show(indent: Int): String
    Definition Classes
      TypeNode
27.  def show(indent: Int, showLabel: Boolean): String
    Definition Classes
      TypeNode
28.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
29.  def toString(): String
    Definition Classes
      TypeNode → AnyRef → Any
30.  def typeName: String
    Definition Classes
      MonoFunction → TypeProduct → TypeNode
31.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
32.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
33.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
34.  def withLabel(l: String): MonoFunction.this.type
    Definition Classes
      TypeNode
35.  def withType(t: String): MonoFunction.this.type
    Definition Classes
      TypeNode
36.  def →[B](y: B): (MonoFunction, B)
    Implicit
      This member is added by an implicit conversion from MonoFunction to ArrowAssoc[MonoFunction] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from TypeProduct

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from TypeNode

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from MonoFunction to any2stringadd[MonoFunction]

### Inherited by implicit conversion StringFormat from MonoFunction to StringFormat[MonoFunction]

### Inherited by implicit conversion Ensuring from MonoFunction to Ensuring[MonoFunction]

### Inherited by implicit conversion ArrowAssoc from MonoFunction to ArrowAssoc[MonoFunction]

### Ungrouped